/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * BoundedRangeStatisticImplTest.java
 * JUnit based test
 *
 * Created on April 1, 2004, 4:35 PM
 */

package com.sun.enterprise.admin.monitor.stats;

import javax.management.j2ee.statistics.BoundedRangeStatistic;
import junit.framework.*;

/**
 *
 * @author Rob
 */
public class BoundedRangeStatisticImplTest extends TestCase {
    
    public BoundedRangeStatisticImplTest(java.lang.String testName) {
        super(testName);
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(BoundedRangeStatisticImplTest.class);
        return suite;
    }
    
    /**
     * Test of getCurrent method, of class com.sun.enterprise.admin.monitor.stats.BoundedRangeStatisticImpl.
     */
    public void testGetCurrent() {
        System.out.println("testGetCurrent");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getHighWaterMark method, of class com.sun.enterprise.admin.monitor.stats.BoundedRangeStatisticImpl.
     */
    public void testGetHighWaterMark() {
        System.out.println("testGetHighWaterMark");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getLowWaterMark method, of class com.sun.enterprise.admin.monitor.stats.BoundedRangeStatisticImpl.
     */
    public void testGetLowWaterMark() {
        System.out.println("testGetLowWaterMark");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getLowerBound method, of class com.sun.enterprise.admin.monitor.stats.BoundedRangeStatisticImpl.
     */
    public void testGetLowerBound() {
        System.out.println("testGetLowerBound");
        fail("The test case is empty.");
    }
    
    /**
     * Test of getUpperBound method, of class com.sun.enterprise.admin.monitor.stats.BoundedRangeStatisticImpl.
     */
    public void testGetUpperBound() {
        System.out.println("testGetUpperBound");
        fail("The test case is empty.");
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    // TODO add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    
}
